#include "CFMODWrapper.h"

const string CBruitage::_path = SOUND_PATH;

CBruitage::CBruitage(char * fichier)
{
	charger(fichier);
}

CBruitage::CBruitage()
{}

CBruitage::~CBruitage()
{}

void CBruitage::jouer()
{
	FSOUND_PlaySound(FSOUND_FREE,_ptBruitage);
}


void CBruitage::charger(const char * fichier)
{
	_nom = _path + fichier;
	
	_ptBruitage = FSOUND_Sample_Load(FSOUND_FREE, _nom.c_str() , 0, 0);
	if (!_ptBruitage)
		cout << "CBruitage::charger : " << FMOD_ErrorString(FSOUND_GetError()) << _nom << endl;
}

void CBruitage::liberer()
{
	FSOUND_Sample_Free(_ptBruitage);
}



