// CGestionnaireClavier.cpp
//

#include "CGestionnaireClavier.h"




SDLKey CGestionnaireClavier::_tabConfigClavier[NB_CONFIG_CLAVIER][NB_DE_TOUCHES_PAR_GESTIONNAIRE]
= { { SDLK_UP, SDLK_DOWN, SDLK_LEFT, SDLK_RIGHT, SDLK_RCTRL, SDLK_RSHIFT },
	{ SDLK_e, SDLK_d, SDLK_s, SDLK_f, SDLK_a, SDLK_q },
	{ SDLK_o, SDLK_l, SDLK_k, SDLK_SEMICOLON, SDLK_SPACE, SDLK_j },
	{ SDLK_KP8, SDLK_KP5, SDLK_KP4, SDLK_KP6, SDLK_KP_ENTER, SDLK_KP_PLUS } };


CGestionnaireClavier::CGestionnaireClavier(int numConfigClavier)
:_numConfigClavier(numConfigClavier)
{
	std::cout << "CGestionnaireClavier::numConfigClavier = " << numConfigClavier << std::endl;
	assert (numConfigClavier >= 0 && numConfigClavier < NB_CONFIG_CLAVIER );
}


SDeplacement CGestionnaireClavier::getDeplacement(int numeroAvatar)
{
	SDL_PumpEvents();
	int tailleTableauDeTouches;		// on en a rien a faire mais necessaire pour SDL...
	SDeplacement deplacement = {0,0,0,0};
	
	Uint8 * ptClavier = SDL_GetKeyState(&tailleTableauDeTouches);
	
	if ( ptClavier[SDLK_ESCAPE] == 1 )
		exit(0);
	
	if ( ptClavier[_tabConfigClavier[_numConfigClavier][CLAV_HAUT]] == 1 )
		deplacement.y1erChoix = -1;
	else if ( ptClavier[_tabConfigClavier[_numConfigClavier][CLAV_BAS]] == 1 )
		deplacement.y1erChoix = +1;
	else if ( ptClavier[_tabConfigClavier[_numConfigClavier][CLAV_GAUCHE]] == 1 )
		deplacement.x1erChoix = -1;
	else if ( ptClavier[_tabConfigClavier[_numConfigClavier][CLAV_DROITE]] == 1 )
			deplacement.x1erChoix = 1;
	

	return deplacement;
}

SAction CGestionnaireClavier::getAction(int numeroAvatar)
{
	SDL_PumpEvents();
	int tailleTableauDeTouches;		// on en a rien a faire mais necessaire pour SDL...
	SAction action = {false, false};
	Uint8 * ptClavier = SDL_GetKeyState(&tailleTableauDeTouches);
	

	if ( ptClavier[_tabConfigClavier[_numConfigClavier][CLAV_ACTION1]] == 1 )
		action.bouton1 = true;
	else if ( ptClavier[_tabConfigClavier[_numConfigClavier][CLAV_ACTION2]] == 1 )
		action.bouton2 = true;
	
	return action;
}
