#include "CGestionnaireGamepad.h"

//  [1/16/2003] Francois - correction de bug (invisible car on ne se sert pas encore 
// de cette fonction): getAction() renvoyait la valeur du bouton1 a la place du bouton2
//////////////////////////////////////////////////////////////////////////


CGestionnaireGamepad::CGestionnaireGamepad()
{}

CGestionnaireGamepad::CGestionnaireGamepad(int numeroGamepad)
:_gamepad(SDL_JoystickOpen(numeroGamepad-1)),
 _numeroGamepad(numeroGamepad-1)
 
{
	std::cout << "CGestionnaireGamepad::CGestionnaireGamepad n " << numeroGamepad << std::endl;
}



SDeplacement CGestionnaireGamepad::getDeplacement(int numeroAvatar)
{
	SDL_JoystickUpdate();

	SDeplacement deplacement = {0,0,0,0};
	

	Sint16 dx, dy;

	dx=SDL_JoystickGetAxis(_gamepad, 0);
	dy=SDL_JoystickGetAxis(_gamepad, 1);

	
	if (dx < -GAMEPAD_DEPLACEMENT_MINIMUM)
		deplacement.x1erChoix = -1;
	else if (dx > GAMEPAD_DEPLACEMENT_MINIMUM )
		deplacement.x1erChoix = 1;
	else if (dy < -GAMEPAD_DEPLACEMENT_MINIMUM )
		deplacement.y1erChoix = -1;
	else if (dy > GAMEPAD_DEPLACEMENT_MINIMUM )
		deplacement.y1erChoix = 1;

	return deplacement;
}

SAction CGestionnaireGamepad::getAction(int numeroAvatar)
{
	SAction action = {false, false};

	action.bouton1 = SDL_JoystickGetButton(_gamepad,0) != 0;
	action.bouton2 = SDL_JoystickGetButton(_gamepad,1) != 0;
	return action;
}

/*
bool CGestionnaireGamepad::choisirGamepad()
{
	
	bool configOK = false;
	SDL_Event event;


	while (!configOK)
	{
		// TODO: flusher les events
		while(SDL_WaitEvent(&event))
		{
			std::cout << "coucou" << std::endl;
			switch(event.type)
			{
				
				case SDL_JOYBUTTONDOWN:
					_numeroGamepad = event.jbutton.which ;
					_gamepad = SDL_JoystickOpen(_numeroGamepad);
					return true;
					break;
				case SDL_KEYDOWN:	// en cas d'appui sur 'echap' on abandonne la configuration
					if ( event.key.keysym.sym == SDLK_ESCAPE )
						return false;
					break;
				default:
					;		// on ne fait rien
			}
	
		}
	}
	return true;


}

*/

