/*-----------------------------------------------------------------
/					 Fichier CPartie.cpp						
/------------------------------------------------------------------
Role: dfinition de la classe CPartie, qui lance les rounds et affiche
	les resultats.
-------------------------------------------------------------------
Versions: 
-------------------------------------------------------------------
7/01/03: (G) creation de afficherNul();
------------------------------------------------------------------*/

#ifndef _CPARTIE_H_
#define _CPARTIE_H_

#include <SDL/SDL.h>
#include <SDL/SDL_ttf.h>
#include <stdlib.h>
#include <time.h>
#include <fstream>
#include "utils.h"
#include "CConfiguration.h"
#include "CFMODMusique.h"

using namespace std;


typedef struct partie
{
		int numeroJoueur;
		int roundsGagnes;
} T_Partie; 	 

class cPartie  
{
	int _partie[4];
	CConfiguration _config;
	SDL_Surface* _ecran;
	TTF_Font* _police; //la police d'affichage
	bool _valider;
	CFMODMusique _musiqueResultat;

	Uint8* keys;
	int keystroke;

public:
	cPartie(SDL_Surface* ecran);
	virtual ~cPartie();
	void run();
	void afficherResultat(int numeroJoueur);
	void afficherNul();
	bool testerVainqueur(int numeroJoueur);
	void afficherGagnant(int numeroJoueur);

	void gererClavier();
};

#endif 
