// [1/16/2003] Francois - modifs pour verifications du bon chargement des images
//////////////////////////////////////////////////////////////////////////

#include "utils.h"





//chargement d'une image utilisant SDL_Display format pour acclrer le "blittage"
//On quitte le prog si le chargement est impossible -> evite un segfault
//fonction place ici car utilise partout
SDL_Surface * ImageLoad(const char * file)
{
	SDL_Surface * imgTemp = SDL_LoadBMP(file);
	if ( imgTemp == NULL)
	{
		std::cout << " *** Le chargement de " << file << " a echoue => fermeture du programme. ***" << std::endl;
		exit(0);
	}
	imgTemp = SDL_DisplayFormat(SDL_LoadBMP(file));
	if ( imgTemp == NULL)
	{
		std::cout << " *** La conversion de " << file << " au format de l'ecran a echoue => fermeture du programme. ***" << std::endl;
		exit(0);
	}
	return imgTemp;
}
