#ifndef _CCONFIGURATION_H_
#define _CCONFIGURATION_H_


#include "utils.h"

typedef enum {ACCUEIL, CREDIT, OPTIONS, PARTIE, QUITTER} T_EtatAccueil;


//classe configuration:
//donnees: permet de conserver les infos du fichier de config:
//nb de joueurs, de rounds, n terrain, et config des commandes
class CConfiguration
{
	public:
		int _nbJoueurs;
		int _nbRounds;
		int _numeroTerrain;
		std::string _nomTerrain;
		int** _configCommandes;

		CConfiguration();
		~CConfiguration();
} ;

#endif

