// CEcranOptions.h: interface for the cEcranOptions class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _CECRANOPTIONS_H_
#define _CECRANOPTIONS_H_

#include "utils.h"
#include "CConfiguration.h"
#include "sprite.h"
#include "CFMODWrapper.h"
#include "CEcranCommandes.h"


class CEcranOptions  
{
	SDL_Surface* _fondEcran;	//l'image derrire
	SDL_Surface* _ecran;		//l'ecran
	SDL_Surface* _bombe_image[5];		//les 6 images de la bombe
	SDL_Surface* _explosion_image[3];

	SDL_Rect _position_bombe[6]; //5 positions:nbjoueurs, terrain, nb rounds,  commandes sauver, quitter
	int _position_actuelle;
	//int** _configCommandes;

	sprite _bombe;
	sprite _explosion;
	bool _done;					//controle la fin de l'ecran d'options
	
	CConfiguration* _config;
	
	CBruitage _bruitageDing;
	CBruitage _bruitageDone;

	int _nbTerrains;
	int _terrainCourant;
	string* _terrains;
	
	Uint8* _keys;
	int _keystroke;

public:
	CEcranOptions(SDL_Surface* ecran, CConfiguration* configuration);
	virtual ~CEcranOptions();
	
	void gereClavier();
	T_EtatAccueil gereToi();
	void sauverConfig();
};

#endif
