/*-----------------------------------------------------------------
/					 Fichier d'entete CSDLSprite.h						
/------------------------------------------------------------------
Role: dclaration de la classe CSprite dont drivent tous les sprites
(Bombe, bonus..) qui ont ainsi ts une image et un fonction d'affichage

-------------------------------------------------------------------
Versions: 
-------------------------------------------------------------------
23/12/02: regroupement des modifs de Fran et Guillaume
	Rajout du sens_propagation type_propagation
02/01/03: ajout des valeurs dans sens_propagation
------------------------------------------------------------------*/

#if !defined(CSDLSprite_h)
#define CSDLSprite_h

#include "utils.h"

typedef enum {CENTRAL=0, HAUT=1, BAS=2, GAUCHE=3, DROITE=4} sens_propagation;
typedef enum {NORMAL, FIN_FLAMME} type_propagation;

class CSDLSprite
{
public:
	virtual void afficheToi(SDL_Rect coord_info, SDL_Surface * screen) = 0;
	CSDLSprite();
	virtual ~CSDLSprite();

protected:
	SDL_Surface * _image;
	Uint32 _heurePrecedente;

private:
	
	
};

#endif /* CSDLSprite_h */
